package com.inspect.metadata.montdata.mapper;

import com.inspect.metadata.montdata.domain.BasedataMontPatDevOnline;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataMontPatDevOnlineMapper {
    BasedataMontPatDevOnline selectBasedataMontPatDevOnlineByPatDevOnlineId(Long onlineId);

    List<BasedataMontPatDevOnline> selectBasedataMontPatDevOnlineList(BasedataMontPatDevOnline online);

    int insertBasedataMontPatDevOnline(BasedataMontPatDevOnline online);

    int updateBasedataMontPatDevOnline(BasedataMontPatDevOnline online);

    int deleteBasedataMontPatDevOnlineByPatDevOnlineId(Long onlineId);

    int deleteBasedataMontPatDevOnlineByPatDevOnlineIds(Long[] onlineIds);
}
